## libmastodon-client-perl 0.017

=== debian/changelog ===
libmastodon-client-perl (0.017-2) unstable; urgency=medium

  * No-change source-only re-upload.

 -- gregor herrmann <gregoa@debian.org>  Thu, 03 Nov 2022 20:07:56 +0100

libmastodon-client-perl (0.017-1) unstable; urgency=low

  * Initial release (closes: #1023066).

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Oct 2022 22:40:30 +0200
