=== debian/control ===
Source: libmastodon-client-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libclass-load-perl <!nocheck>,
                     libdatetime-format-strptime-perl <!nocheck>,
                     libdatetime-perl <!nocheck>,
                     libfuture-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libhttp-thin-perl <!nocheck>,
                     libimage-info-perl <!nocheck>,
                     libio-async-perl <!nocheck>,
                     libjson-maybexs-perl <!nocheck>,
                     liblog-any-perl <!nocheck>,
                     libmoo-perl <!nocheck>,
                     libnet-async-http-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     librole-eventemitter-perl <!nocheck>,
                     libscalar-list-utils-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtest-tcp-perl <!nocheck>,
                     libtest2-suite-perl (>= 0.000126) <!nocheck>,
                     libtry-tiny-perl <!nocheck>,
                     libtype-tiny-perl <!nocheck>,
                     libtypes-path-tiny-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     perl
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmastodon-client-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmastodon-client-perl.git
Homepage: https://metacpan.org/release/Mastodon-Client
Rules-Requires-Root: no

Package: libmastodon-client-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-load-perl,
         libdatetime-format-strptime-perl,
         libdatetime-perl,
         libfuture-perl,
         libhttp-message-perl,
         libhttp-thin-perl,
         libimage-info-perl,
         libio-async-perl,
         libjson-maybexs-perl,
         liblog-any-perl,
         libmoo-perl,
         libnet-async-http-perl,
         librole-eventemitter-perl,
         libscalar-list-utils-perl,
         libtry-tiny-perl,
         libtype-tiny-perl,
         libtypes-path-tiny-perl,
         liburi-perl
Description: Mastodon API perl bindings
 Mastodon::Client lets you talk to a Mastodon server to obtain authentication
 credentials, read posts from timelines in both static or streaming mode, and
 perform all the other operations exposed by the Mastodon API.
 .
 Most of these are available through convenience methods, which validate input
 parameters and are likely to provide meaningful feedback in case of
 errors.
 .
 Alternatively, this distribution can be used via the low-level request
 methods (post, get, etc), which allow direct access to the API endpoints. All
 other methods call one of these at some point.
