=== debian/watch ===
version=4
https://metacpan.org/release/Mastodon-Client   .*/Mastodon-Client-v?@ANY_VERSION@@ARCHIVE_EXT@$
